@media (max-width: 1500px) {

    /* banner */
    .banner_image::after {
        top: -60px;
        right: 0px;
    }
}

@media (max-width: 1400px) {
    .hairagain_container {
        width: 1300px;
    }
}

@media (max-width:1366px) {
    .hairagain_container {
        width: 1250px;
    }

    /* banner */
    .banner h1 {
        font-size: 110px;
    }

    /* service section */
    .flex_containt_service {
        width: 80%;
    }

    /* faq section */
    .left_faq {
        width: 43%;
    }

    .right_faq {
        width: 55%;
    }

    /* inner service page */
    .service_containt p {
        text-wrap: nowrap;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    .inner_contact_section .service_card {
        width: 33%;
    }
}

@media (max-width:1250px) {
    .hairagain_container {
        width: 95%;
    }

    .section_head p {
        width: 70%;
        margin: 0 auto;
    }

    /* banner */
    .carousel_banner {
        width: 100%;
        padding-top: 140px;
    }

    /* about section */
    .about_cnt {
        width: 40%;
        padding-left: 45px;
    }

    /* service */
    .service_card {
        width: 49%;
        margin-bottom: 20px;
    }

    .service_card img {
        height: 300px;
    }

    /* testimonial */
    .carousel .testimonial_left_btn {
        width: 45px;
        height: 45px;
    }

    .carousel .testimonial_right_btn {
        width: 45px;
        height: 45px;
    }

    .links_footer {
        width: 50%;
    }

    /* blog */
    .blog_card img {
        height: 255px;
    }

    /* footer */
    .company {
        width: 40%;
    }

    /* inner about page */
    .inner_contact_section .count_hairagain {
        width: 22%;
    }

    .inner_contact_section .about_cnt {
        width: 43%;
        padding-left: 40px;
    }

    /* inner service page */
    .inner_service_heading {
        font-size: 55px;
    }

    .inner_contact_section .service_card img {
        height: 255px;
    }
}

@media (max-width:1199px) {

    /* banner */
    .banner p {
        width: 75%;
    }

    /* about */
    .about_img img {
        height: 600px;
    }

    /* testimonial */
    .testimonial_container {
        width: 75%;
    }

    /* about page */
    .inner_contact_section .about_img img {
        height: 630px;
    }

    .inner_contact_section .about_cnt p {
        padding-bottom: 5px;
    }

    /*single blog page */
    .blog_dtls .blog_detals_img img {
        width: 100%;
        height: 500px;
        object-fit: cover;
        border-radius: 25px;
    }
}

@media (max-width:991px) {
    .copy_right {
        margin-bottom: 60px;
    }

    /* top nav */
    .show_991Screen {
        display: block;
    }

    .locations ul {
        display: none !important;
    }

    /* nav */
    .nav_menu {
        display: none;
    }

    .menubar_for_mobile {
        display: inline-block;
    }

    .top_bar .locations ul li {
        padding-right: 0px;
        border-right: none;
    }

    /* banner */
    .banner h1 {
        font-size: 100px;
    }

    .banner p {
        width: 90%;
    }

    .banner_image {
        margin-top: 55px;
    }

    /* about */
    .section_head p {
        width: 80%;
        margin: 0 auto;
    }

    .count_hairagain {
        width: 100%;
        flex-direction: row;
        justify-content: center;
        gap: 45px;
        margin-bottom: 25px;
    }

    .about_img {
        width: 45%;
    }

    .about_cnt {
        width: 55%;
        padding-left: 45px;
    }

    /* service */
    .flex_containt_service {
        width: 90%;
    }

    /* testimonial */
    .testimonial_container {
        width: 80%;
    }

    .carousel .testimonial_left_btn {
        left: -10%;
    }

    .carousel .testimonial_right_btn {
        right: -10%;
    }

    /* contact */
    .contact_card {
        padding: 50px 30px;
    }

    /* blog */
    .blog_card img {
        height: 200px;
    }

    /* footer */
    .links_footer {
        width: 55%;
    }

    .footer_btn_logo h5 {
        font-size: 156px;
    }

    .footer_btn_logo {
        height: 151px;
        overflow: hidden;
    }

    .footer_bg_card {
        padding: 65px 40px 0px 40px;
    }

    /* about page */
    .inner_contact_section .count_hairagain {
        width: 100%;
    }

    .inner_contact_section .about_cnt {
        width: 55%;
    }

    .inner_banner_content h2 {
        font-size: 75px;
    }

    .inner_banner_content p {
        width: 80%;
    }

    /* service page */
    .inner_service_heading {
        font-size: 50px;
    }

    .service_inner_section img {
        height: 500px;
    }

    .inner_servive_content {
        margin-top: 30px;
    }

    .inner_contact_section .service_card img {
        height: 200px;
    }

    /* contact */
    .inner_contact_section .right_contact {
        padding: 0px 0px;
    }

    .map_embled {
        height: 440px;
    }


}

@media (max-width:767px) {
    .menubar_for_mobile {
        width: 65%;
    }

    .scroll_to_top button:first-child {
        display: none;
    }

    .scroll_to_top {
        right: 10px;
        bottom: 24px;
    }

    /* banner */
    .banner h1 {
        font-size: 85px;
    }

    .banner p {
        width: 95%;
    }

    .section_head p {
        width: 95%;
    }

    /* about */
    .about_section {
        margin-bottom: 120px;
    }

    .about_cnt {
        padding-left: 25px;
    }

    .about_img {
        width: 100%;
    }

    .about_img img {
        height: 390px;
        border-radius: 35px;
    }

    .about_cnt {
        width: 100%;
        padding-left: 0px;
        margin-top: 20px;
    }

    /* service */
    .flex_containt_service {
        width: 100%;
    }

    .service_card img {
        height: 240px;
    }

    /* faq */
    .faq_flex {
        flex-direction: column;
        gap: 20px;
    }

    .left_faq {
        width: 100%;
    }

    .right_faq {
        width: 100%;
    }

    /* testimonial */
    .testimonial_content p {
        font-size: 22px;
    }

    .testimonial_container {
        width: 90%;
    }

    .carousel .testimonial_right_btn {
        right: 0%;
        bottom: 0px;
        top: auto;
    }

    .carousel .testimonial_left_btn {
        left: auto;
        bottom: 0px;
        top: auto;
        right: 59px;
    }

    /* contact us */
    .contact_card {
        padding: 50px 40px;
        flex-direction: column;
        gap: 40px;
    }

    .left_contact {
        width: 100%;
    }

    .right_contact {
        width: 100%;
    }

    /* blog */
    .blog_card {
        width: 49%;
    }

    /* footer */
    .footer_flex {
        flex-direction: column;
        gap: 30px;
    }

    .company {
        width: 100%;
    }

    .links_footer {
        width: 100%;
    }

    .company img {
        margin-bottom: 10px;
    }

    /* about page */
    .inner_banner_content h2 {
        font-size: 60px;
    }

    .inner_banner_content p {
        width: 90%;
    }

    .inner_contact_section .about_img img {
        height: 390px;
    }

    .inner_contact_section .about_cnt {
        width: 100%;
        padding-left: 0px;
    }

    /* service page */
    .service_heading_inner {
        align-items: start;
        flex-direction: column;
        gap: 20px;
    }

    .inner_service_heading {
        width: 100%;
    }

    .service_heading_inner p {
        width: 100%;
    }

    .service_inner_section img {
        margin-top: 30px;
    }

    .inner_contact_section .service_card {
        width: 49%;
    }

    .inner_contact_section .service_card img {
        height: 240px;
    }

    /* contact */
    .inner_contact_section .contact_card {
        padding: 0px 0px;
    }

    .inner_contact_section .right_contact {
        width: 100%;
    }

    .map_embled {
        height: 380px;
    }


    /* blog section */
    .blog_flex_container {
        flex-direction: column;
        gap: 40px;
    }

    .blog_dtls {
        width: 100%;
    }

    .blog_dtls .blog_detals_img img {
        height: 420px;
    }

    .more_blog_container .blog_container {
        flex-direction: row;
    }

    .more_blog_container {
        width: 100%;
        position: inherit;
        max-height: fit-content;
        overflow-y: unset;
    }

    .more_blog_container .blog_container .blog_card {
        width: 48%;
        margin: 0% !important;
    }






}

@media (max-width:575px) {
    .menubar_for_mobile {
        width: 85%;
    }

    .top_bar .locations ul li {
        text-align: center;
    }

    .top_bar .locations ul li a {
        font-size: 14px;
    }

    .nav_right a {
        font-size: 14px;
        height: 45px;
        border-radius: 32px;
    }

    /* nav */
    .nav_left .logo a img {
        width: 150px;
        height: auto;
    }

    /* banner */
    .banner span {
        font-size: 25px;
    }

    .banner h1 span {
        display: none;
    }

    .banner p {
        width: 100%;
    }

    /* about */
    .section_head p {
        width: 100%;
    }

    .count_hairagain {
        gap: 30px;
    }

    .count_hairagain .counter span {
        font-size: 50px;
    }

    /* service */
    .service_card img {
        height: 175px;
    }

    /* faq */
    .faq_section {
        padding-top: 40px;
    }

    .left_faq {
        padding-left: 20px;
        padding-right: 20px;
    }

    .section_head h4 {
        font-size: 45px;
    }

    /* testimonial */
    .testimonial_container {
        width: 100%;
    }

    .testimonial_content {
        height: 340px;
    }

    .carousel .testimonial_left_btn,
    .carousel .testimonial_right_btn {
        display: none;
    }

    /* contact */
    .contact_card {
        padding: 30px 30px;
    }

    /* blog */
    .blog_card img {
        height: 175px;
    }

    /* footer */
    .footer_bg_card {
        padding: 65px 30px 0px 30px;
    }

    .footer_btn_logo h5 {
        font-size: 100px;
    }

    .footer_btn_logo {
        height: 103px;
    }

    .scroll_to_top {
        right: 24px;
        bottom: 100px;
    }

    /* about */
    .inner_banner_content h2 {
        font-size: 55px;
    }

    .inner_banner_content {
        padding: 80px 0px;
    }

    /* service */
    .inner_contact_section .service_card img {
        height: 175px;
    }

    /* blog */
    .more_blog_container .blog_container {
        gap: 10px;
    }

    .more_blog_container .blog_container .blog_card {
        width: 49%;
        margin: 0% !important;
    }

    /* contact */
    .map_location h4 {
        font-size: 30px;
    }
}

@media (max-width:480px) {
    .nav_right a {
        display: none;
    }

    .for_mobile_call {
        display: inline-flex !important;
        justify-content: center !important;
        align-items: center !important;
        font-size: 18px !important;
        color: var(--body-color) !important;
        background-color: var(--brand-color) !important;
        width: 50px !important;
        height: 50px !important;
        border-radius: 50% !important;
        cursor: pointer !important;
    }

    .for_mobile_call i {
        padding-right: 0px !important;
    }

    .nav_right {
        gap: 10px;
    }

    /* banner */
    .banner h1 {
        font-size: 70px;
    }

    .carousel_banner {
        padding-top: 110px;
    }

    /* about */
    .count_hairagain .counter span {
        gap: 0px;
        padding-bottom: 0px;
    }

    .about_img img,
    .inner_contact_section .about_img img {
        height: 500px;
        border-radius: 35px;
    }

    /* service */
    .service_card,
    .inner_contact_section .service_card {
        width: 100%;
    }

    .service_card img,
    .inner_contact_section .service_card img {
        height: 280px;
    }

    /* testimonial */
    .testimonial_content {
        height: 415px;
    }

    /* contact */
    .right_contact {
        padding: 30px 20px;
    }

    .contact_card {
        padding: 30px 20px;
    }

    /* blog */
    .blog_card,
    .more_blog_container .blog_container .blog_card {
        width: 100%;
        margin: 0%;
    }

    .blog_container,
    .more_blog_container .blog_container {
        gap: 20px;
    }

    .blog_card img,
    .more_blog_container .blog_container .blog_card img {
        height: 250px;
    }

    .more_blog_container {
        margin-top: 25px;
    }

    /* footer */
    .footer_menu {
        width: 46%;
    }

    .links_footer {
        gap: 20px;
    }

    .footer_btn_logo h5 {
        font-size: 90px;
    }

    .footer_btn_logo {
        height: 92px;
    }

    .footer_bg_card {
        padding: 50px 30px 0px 30px;
    }

    /* contact page */
    .map_flex_box {
        flex-direction: column;
        gap: 15px;
    }

    .map_embled {
        width: 100%;
    }

    .map_location {
        width: 100%;
    }

    /* footer menu */
    .menubar_for_mobile {
        width: 90%;
        padding: 10px 25px;
    }
}

@media (max-width:400px) {

    /* banner */
    .banner h1 {
        font-size: 70px;
    }

    /* about */
    .count_hairagain {
        gap: 20px;
        margin-bottom: 20px;
        flex-direction: column;
    }

    /* testimonial */
    .testimonial_container {
        margin: 40px auto 0px auto;
    }

    .testimonial_content {
        height: 500px;
    }

    .testimonial_section {
        margin-bottom: 30px;
    }

    /* footer */
    .footer_btn_logo h5 {
        font-size: 70px;
    }

    .footer_btn_logo {
        height: 71px;
    }

    /* about page */
    .inner_banner_content h2 {
        font-size: 45px;
    }

    .section_head h4 {
        font-size: 40px;
    }

    /* footer menu for mobile*/
    .menubar_for_mobile {
        width: 95%;
    }
    
    /* faq */
    .left_faq a {
        padding: 15px 10px;
    }
}

@media (max-width:360px) {

    /* banner */
    .banner h1 {
        font-size: 66px;
    }
}